Hi,
this is all on kubuntu 12.04

I had built kile and okular before, and had the update script:

cd $HOME/kile-livepreview
cd src/okular
git pull
cd ../kile
git pull
cd $HOME/kile-livepreview/build-okular
make install
cd ../build-kile
make install



When executing I got this series of errors and building failed (okular):

[...]
[  3%] Building CXX object CMakeFiles/okularcore.dir/core/audioplayer.o                                      
In file included from /home/user/kile-livepreview/src/okular/core/audioplayer.cpp:251:0:                    
/home/user/kile-livepreview/build-okular/audioplayer.moc:14:2: error: #error "This file was generated using the moc from 4.7.4. It"
/home/user/kile-livepreview/build-okular/audioplayer.moc:15:2: error: #error "cannot be used with the include files from this version of Qt."
/home/user/kile-livepreview/build-okular/audioplayer.moc:16:2: error: #error "(The moc has changed too much.)"
make[2]: *** [CMakeFiles/okularcore.dir/core/audioplayer.o] Error 1
make[1]: *** [CMakeFiles/okularcore.dir/all] Error 2
make: *** [all] Error 2


After deleting all *.moc files in okular-build, it run through until


[ 21%] Building CXX object CMakeFiles/okularcore.dir/settings.o                                              
make[2]: *** No rule to make target `/usr/lib/libphonon.so', needed by `lib/libokularcore.so.1.8.0'. Stop.   
make[1]: *** [CMakeFiles/okularcore.dir/all] Error 2
make: *** [all] Error 2


Does it have to do with this bug?: https://bugs.launchpad.net/ubuntu/+source/phonon/+bug/905160




To conclude two things in this email:
1) update make files to clean the .moc files (??)
2) libphonon dependency